Subject: Re: linux-next: manual merge of the perf tree with Linus' tree

From: Namhyung Kim <[email-masked]>
Date: Mon, 4 Nov 2024 10:11:09 -0800

Hello,

On Fri, Nov 01, 2024 at 10:33:45AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the perf tree got a conflict in:
> 
>   tools/perf/util/syscalltbl.c
> 
> between commit:
> 
>   5d35634ecc2d ("perf trace: Fix non-listed archs in the syscalltbl routines")
> 
> from Linus' tree and commit:
> 
>   8c0d1202bad3 ("perf, riscv: Wire up perf trace support for RISC-V")
> 
> from the perf tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks for reporting this.  I expected the conflict when I applied the
RISC-V change and now I've merged the perf-tools branch into the
perf-tools-next with the resolution like yours.  So it won't hit the
mainline tree.

Thanks,
Namhyung